Subject: Re: [JGIT PATCH] Test and fix handling of quotes in ~/.ssh/config

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 22 Sep 2008 14:07:34 -0700

Robin Rosenberg <[email-masked]> wrote:
> söndagen den 21 september 2008 13.25.19 skrev Jonas Fonseca:
> > +		assertEquals("bad.tld\"", osc.lookup("bad").getHostName());
> This one is really (as you noted) bad so we shouldn't allow it at all. A new 
> subclass of TransportExcpeption should be thrown to indicate a serious
> configuration problem when attempting to use the option.

Probably so.

But then we need to mark that the Host is invalid, because we
are serving requests from a cache, not from the file itself.
And TransportException isn't something that the SshSessionFactory
knows about.  Probably better to use a a subclass of IOException.

-- 
Shawn.